> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Knowledge



## OpenAPI

````yaml /api-reference/openapi.json post /v1/agents/{agent_id}/knowledge
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/agents/{agent_id}/knowledge:
    post:
      tags:
        - Agents
      summary: Add Knowledge
      operationId: apps_agents_api_add_knowledge
      parameters:
        - in: path
          name: agent_id
          required: true
          schema:
            maxLength: 64
            pattern: ^[A-Za-z0-9_\-]+$
            title: Agent Id
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              properties:
                file:
                  format: binary
                  title: File
                  type: string
                text:
                  default: ''
                  title: Text
                  type: string
                title:
                  default: ''
                  title: Title
                  type: string
              title: MultiPartBodyParams
              type: object
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentOut'
          description: Created
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    DocumentOut:
      properties:
        bytes:
          title: Bytes
          type: integer
        chars:
          title: Chars
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        kind:
          title: Kind
          type: string
        mime:
          title: Mime
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - kind
        - mime
        - bytes
        - chars
        - created_at
      title: DocumentOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.